torrent-10000.1.3: BitTorrent file parser and generater

Copyright | (c) Lemmih 2005
License | BSD-like
Maintainer | lemmih@gmail.com
Stability | experimental
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Data.Torrent.Scrape

Description

http://en.wikipedia.org/wiki/Tracker_scrape

# Documentation

data ScrapeInfo Source #

Constructors

ScrapeInfo |

Fields

- scrapeSeeds :: Integer
- scrapeLeechers :: Integer

#### Instances

Instances details

Read ScrapeInfo Source # |
Instance details Defined in Data.Torrent.Scrape Methods readsPrec :: Int -> ReadS ScrapeInfo Source # readList :: ReadS [ScrapeInfo] Source # readPrec :: ReadPrec ScrapeInfo Source # readListPrec :: ReadPrec [ScrapeInfo] Source #
Show ScrapeInfo Source # |
Instance details Defined in Data.Torrent.Scrape Methods showsPrec :: Int -> ScrapeInfo -> ShowS Source # show :: ScrapeInfo -> String Source # showList :: [ScrapeInfo] -> ShowS Source #

parseScrapeInfo :: ByteString -> Maybe ScrapeInfo Source #

scrapeUrl :: ByteString -> [String] -> Maybe String Source #